package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.CompanyInfo;
import com.jpsoft.shinestar.modules.base.entity.WorkShiftCompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.WorkShiftInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface WorkShiftInfoDAO {
	int insert(WorkShiftInfo entity);
	int update(WorkShiftInfo entity);
	int exist(String id);
	WorkShiftInfo get(String id);
	int delete(String id);
	List<WorkShiftInfo> list();
	List<WorkShiftInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

	List<WorkShiftInfo> findByCompanyId(String companyId);
	List<WorkShiftInfo> findByCompanyIds(@Param("companyIds")List<String> companyIds);
	String findNumberById(String id);
	List<String> sortIdsByNumber(@Param("shiftIds")List<String> shiftIds);
	WorkShiftInfo findByNumber(String number);
}